
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

.flex-container {
	background-color: lightgrey;
	height: 200px;

	/*to place all children element in 1 row,
	use display property with a value of flex*/
	display: flex;

	/*flex properties - use this to manipulate
	children element*/
	flex-direction: row; /*default*/
	/*flex-direction: column;*/
	/*flex-direction: row-reverse;*/
	/*flex-direction: column-reverse;*/

	/*justify-content:  value*/
	/*justify-content: flex-start;*/ /*default*/
	/*justify-content: flex-end;*/
	justify-content: center;
	/*justify-content: space-between;*/
	/*justify-content: space-around;*/
	/*justify-content: space-evenly;*/

	/*align-items:  value*/
	/*align-items: flex-start*/
	/*align-items: flex-end;*/
	align-items: center;
	/*align-items: stretch;*/ /*default*/

	/*flex-wrap: value*/
	/*flex-wrap: nowrap;*/ /*default*/
	flex-wrap: wrap;
	/*flex-wrap: wrap-reverse;*/

	/*align-content:  value*/
	/*align-content: flex-start;*/
	/*align-content: flex-end;*/
	/*align-content: center;*/
	/*align-content: space-around;*/ /*default*/
	/*align-content: space-between;*/
	/*align-content: stretch;*/

}

.flex-container div {
	width: 150px;
	background-color: pink;
	border: 1px solid black;
	color: red;
	font-size: 30px;
	text-align: center;
}